Eclipse PDE Release 3.7

## org.eclipse.pde.core.build
Interface IBuildEntry

All Superinterfaces:
  IWritable

    public interface IBuildEntry

extends IWritable

Jar entry represents one 'library=folder list' entry in plugin.jars file.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

Field Summary
`static String` `BIN_INCLUDES` The name of the key that lists all the folders and files to be included in the binary build.
`static String` `JAR_PREFIX` The prefix for any key denoting the source folders that should be compiled into a JAR.
`static String` `JARS_EXTRA_CLASSPATH` The name of the key that declares extra library entries to be added to the class path at build time only..
`static String` `OUTPUT_PREFIX` The prefix for any key denoting output folders for a particular JAR.
`static String` `P_NAME` A property name for changes to the 'name' field.
`static String` `SECONDARY_DEPENDENCIES` The name of the key that declares additional plug-in dependencies to augment development classpath
`static String` `SRC_INCLUDES` The name of the key that lists all the folders and files to be included in the source build.

Method Summary
`void` `addToken(String token)` Adds the token to the list of token for this entry.
`boolean` `contains(String token)` Returns true if the provided token exists in this entry.
`IBuildModel` `getModel()` Returns a model that owns this entry
`String` `getName()` Returns the name of this entry.
`String[]` `getTokens()` Returns an array of tokens for this entry
`void` `removeToken(String token)` Removes the token from the list of tokens for this entry.
`void` `renameToken(String oldToken, String newToken)` Changes the name of the token without changing its position in the list.
`void` `setName(String name)` Sets the name of this build entry.

Methods inherited from interface org.eclipse.pde.core.IWritable
`write`

Field Detail

### P_NAME

    static final String P_NAME

  A property name for changes to the 'name' field.

  See Also:
    Constant Field Values

### JAR_PREFIX

    static final String JAR_PREFIX

  The prefix for any key denoting the source folders that should be compiled into a JAR. The suffix will be the name of the JAR.

  See Also:
    Constant Field Values

### OUTPUT_PREFIX

    static final String OUTPUT_PREFIX

  The prefix for any key denoting output folders for a particular JAR. The suffix will be the name of the JAR.

  See Also:
    Constant Field Values

### BIN_INCLUDES

    static final String BIN_INCLUDES

  The name of the key that lists all the folders and files to be included in the binary build.

  See Also:
    Constant Field Values

### SRC_INCLUDES

    static final String SRC_INCLUDES

  The name of the key that lists all the folders and files to be included in the source build.

  See Also:
    Constant Field Values

### JARS_EXTRA_CLASSPATH

    static final String JARS_EXTRA_CLASSPATH

  The name of the key that declares extra library entries to be added to the class path at build time only..

  See Also:
    Constant Field Values

### SECONDARY_DEPENDENCIES

    static final String SECONDARY_DEPENDENCIES

  The name of the key that declares additional plug-in dependencies to augment development classpath

  Since:
    3.2
  See Also:
    Constant Field Values

Method Detail

### addToken

    void addToken(String token)
                  throws CoreException

  Adds the token to the list of token for this entry. This method will throw a CoreException if the model is not editable.

  Parameters:
    `token` - a name to be added to the list of tokens
  Throws:
    `CoreException`

### getModel

    IBuildModel getModel()

  Returns a model that owns this entry

  Returns:
    build.properties model

### getName

    String getName()

  Returns the name of this entry.

  Returns:
    the entry name

### getTokens

    String[] getTokens()

  Returns an array of tokens for this entry

  Returns:
    array of tokens

### contains

    boolean contains(String token)

  Returns true if the provided token exists in this entry.

  Returns:
    true if the token exists in the entry

### removeToken

    void removeToken(String token)
                     throws CoreException

  Removes the token from the list of tokens for this entry. This method will throw a CoreException if the model is not editable.

  Parameters:
    `token` - a name to be removed from the list of tokens
  Throws:
    `CoreException`

### renameToken

    void renameToken(String oldToken,
                     String newToken)
                     throws CoreException

  Changes the name of the token without changing its position in the list. This method will throw a CoreException if the model is not editable.

  Parameters:
    `oldToken` - the old token name
    `newToken` - the new token name
  Throws:
    `CoreException`

### setName

    void setName(String name)
                 throws CoreException

  Sets the name of this build entry. This method will throw a CoreException if model is not editable.

  Parameters:
    `name` - the new name for the entry
  Throws:
    `CoreException`

Eclipse PDE Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) 2000, 2011 IBM Corporation and others. All rights reserved.